<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\MitarbeiterUebersicht\MitarbeiterDokumente;

class MitarbeiterDokumenteUebersichtView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'firma/mitarbeiteruebersicht/dokumente_uebersicht.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->dokumente;
  }

  protected function getDefaultDataModulArray()
  {
    $datamodul = $this->viewModel->teilnehmer;
    
    return array($datamodul);
  }
}

class MitarbeiterDokumenteUebersichtViewModel
{
  public $dokumente = array();
  public $showUploadButton;
  public $teilnehmer;
}